Subject: Diffs to latest sam

From: Rich Salz <[email-masked]>
Date: Tue, 27 Dec 1994 13:27:59 -0500

Thanks, as always, for the update Bob!

The "install" rules for all the makefiles in the "sam" directory have
a typo in the last line.  I think the stanze should be:
	install:	sam
		cp sam $(SAMDIR)/$(RSAMNAME)
		cp samsave $(SAMESAVDIR)/samesave
		chmod +x $(SAMESAVEDIR)/samesave
			 ^^^^^^^^^^^^^^^ missing

It would be nice if SAM and SAMTERMDIR in samterm/Makefile were more
similar to RSAMNAME, TERMNAME, SAMDIR, and SAMSAVEDIR in sam/Makefile.

Finally, I always put this patch back in.  If $sampipe exists, it names
the pipe sam uses for its command channel.  I set it in my .rcrc
*** unix.c.save	Tue Dec 27 12:58:51 1994
--- unix.c	Tue Dec 27 13:01:27 1994
***************
*** 90,97 ****
  
  	user = getuser();
  	disp = getenv("DISPLAY");
  
! 	if (disp) {
  		exname = (char *)alloc(4 + 6 + strlen(user) + 1 + strlen(disp) + 1);
  		sprint(exname, "/tmp/.sam.%s.%s", user, disp);
  	} else { 
--- 90,102 ----
  
  	user = getuser();
  	disp = getenv("DISPLAY");
+ 	exname = getenv("sampipe");
  
! 	if (exname) {
! 	    exname = (char *)alloc(strlen(exname) + 1);
! 	    strcpy(exname, getenv("sampipe"));
! 	}
! 	else if (disp) {
  		exname = (char *)alloc(4 + 6 + strlen(user) + 1 + strlen(disp) + 1);
  		sprint(exname, "/tmp/.sam.%s.%s", user, disp);
  	} else {